



      SUBROUTINE WIF150 (DONE)

















































      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'OPTION.INC'
      INTEGER       IAA, IERR
      LOGICAL       DONE







      IF (OPTIN.EQ.MEN6COD(24)) GOTO 998
      CALL MEN032 (OPTIN,DONE)




  998 CONTINUE


      RETURN
      END

      SUBROUTINE WIF180

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INCLUDE       'MAPINC.INC'
      INCLUDE       'ESPACE.INC'
      INTEGER       GVFLEN, IPOS, IUSE, I, J, K, ICNT
      REAL          EGRID(MAXGRD**3), AVE, ADEV, SDEV, VAR,SKEW, CURT
      LOGICAL       GVFFOP, GVFIBN, GVFICN
      EQUIVALENCE   (EGRID(1),ESPACE(1))







      IF (.NOT.GVFIBN(MAPNOW,1,MAPNUM)) THEN
         CALL GVSTTB ('?NEWB117')
         CALL GVSTTI ('?NEWZ63',MAPNUM)
         CALL GVSTTI ('?NEWZ64',MAPNOW)
         GOTO 998
      END IF
      IF (GVFLEN(MAPNAM(MAPNOW)).EQ.0) THEN
         CALL GVSTTE ('?NEWE306')
         GOTO 998
      END IF



      CALL ESPSET (1,MAXGRD*MAXGRD*MAXGRD,26)



      CALL GVSSHL (MAPNAM(MAPNOW))



      DO 10 IPOS=1,MIN(LEN(MAPNAM(MAPNOW)),10)
         IF (.NOT.GVFICN(MAPNAM(MAPNOW)(IPOS:IPOS))) THEN
            IUSE=IPOS-1
            GOTO 20
         END IF
   10 CONTINUE
      IUSE=10
   20 CONTINUE



      IF (IUSE.EQ.0) THEN
         CALL GVSTTE ('?NEWE307')
         GOTO 998
      END IF



      DO 30 I=IUSE+1,80
         MAPNAM(MAPNOW)(I:I)=' '
   30 CONTINUE
      CALL GVSCPC (MAPNAM(MAPNOW),'.WMP')



      CALL GVSCLF (11)
      CALL GVSOUF (MAPNAM(MAPNOW),11,'NEW')
      IF (.NOT.GVFFOP(11)) THEN
         CALL GVSTTE ('?NEWE308')
         GOTO 998
      END IF



      DO 40 K=1,NW(MAPNOW)
         WRITE (11,ERR=999) ((GRID(I,J,K),I=1,NU(MAPNOW)),J=1,
     +    NV(MAPNOW))
   40 CONTINUE
      CALL GVSCLF (11)



      ICNT=0
      DO 70 K=1,NW(MAPNOW)
         DO 60 J=1,NV(MAPNOW)
            DO 50 I=1,NU(MAPNOW)
               ICNT=ICNT+1
               EGRID(ICNT)=FLOAT(INT(GRID(I,J,K)))
   50       CONTINUE
   60    CONTINUE
   70 CONTINUE
      CALL GVSRAV (EGRID,ICNT,AVE,ADEV,SDEV,VAR,SKEW,CURT)
      MAPSIG(MAPNOW)=SDEV



      AVE=(AVE-IPLUS(MAPNOW))/PROD(MAPNOW)
      ADEV=(ADEV-IPLUS(MAPNOW))/PROD(MAPNOW)
      SDEV=(SDEV-IPLUS(MAPNOW))/PROD(MAPNOW)
      SKEW=(SKEW-IPLUS(MAPNOW))/PROD(MAPNOW)
      CURT=(CURT-IPLUS(MAPNOW))/PROD(MAPNOW)
      GOTO 998



 999  CONTINUE
      CALL GVSEIW ('WIF180')



  998 CONTINUE


      RETURN
      END

      SUBROUTINE MAP010 

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      LOGICAL       GVFYON







      CALL GVSNL6 (1)
      CALL SHOWTEXT ('?M0160')
      CALL GVSNL6 (1)
      CALL GVSTTR ('?M0161',WIFPAR(29)/100.0)
      IF (GVFYON('?M0162',' ')) CALL MAP011





      RETURN
      END   
      SUBROUTINE MAP011 

















      IMPLICIT      NONE







      CALL GETREALPAR (29,100.0,0.1,100.0,'?M0163','?M0164')





      RETURN
      END   
